> For the complete documentation index, see [llms.txt](https://docs.ibexa.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ibexa.ai/developers/rest-api/agents/get-mcp-server-links.md).

# Get Mcp Server Links

Get all MCP server links for an agent.

Returns a list of MCP servers linked to this agent along with the enabled tools for each link.

Users can only access agents within their organisation.

```json
{"openapi":"3.1.0","info":{"title":"Ibexa Agentic Marketing Platform","version":"0.1.0"},"security":[{"OAuth2PasswordBearer":[]}],"components":{"securitySchemes":{"OAuth2PasswordBearer":{"type":"oauth2","flows":{"password":{"scopes":{},"tokenUrl":"/api/v1/login/access-token"}}}},"schemas":{"AgentMCPServerLinksResponseSchema":{"properties":{"mcp_server_links":{"items":{"$ref":"#/components/schemas/AgentMCPServerLinkResponseSchema"},"type":"array","title":"Mcp Server Links"}},"type":"object","required":["mcp_server_links"],"title":"AgentMCPServerLinksResponseSchema","description":"Pydantic schema for list of agent-MCP server links."},"AgentMCPServerLinkResponseSchema":{"properties":{"mcp_server_id":{"type":"integer","title":"Mcp Server Id"},"enabled_tools":{"items":{"type":"string"},"type":"array","title":"Enabled Tools"}},"type":"object","required":["mcp_server_id","enabled_tools"],"title":"AgentMCPServerLinkResponseSchema","description":"Pydantic schema for agent-MCP server link response."}}},"paths":{"/api/v1/agents/{agent_id}/mcp-servers":{"get":{"tags":["agents","public"],"summary":"Get Mcp Server Links","description":"Get all MCP server links for an agent.\n\nReturns a list of MCP servers linked to this agent along with\nthe enabled tools for each link.\n\nUsers can only access agents within their organisation.","operationId":"agents-get_mcp_server_links","parameters":[{"name":"agent_id","in":"path","required":true,"schema":{"type":"integer","title":"Agent Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AgentMCPServerLinksResponseSchema"}}}},"401":{"description":"User not authenticated","content":{"application/json":{}}},"404":{"description":"Resource not found or user has no permission to access it","content":{"application/json":{}}}}}}}}
```
